openSUSE Leap 15.0 - action #24746

setup openQA
2017-09-07 12:19 - Inussel

Status: Closed Start date: 2017-07-31
Priority: Normal Due date: 2017-10-13
Assignee: okurz % Done: 100%
Category: QA Estimated time: 0.00 hour
Target version: Working

Description

update job group for new release: https://openga.opensuse.org/parent_group_overview/3

adjust description and link of the parent group if needed
Dump the templates of the previous distribution, change version and import again. E.g.

script/dump_templates --host hitps://openga.opensuse.org --group "openSUSE Leap 42.3" --full > leap

Same with staging projects. Afterwards review and adjust accordingly

Add BETA=1
The staging group may need to be renamed an re-created in order to preserve old results and allow for build numbers to repeat

Related issues:

Copied from openSUSE Leap 42.3 Release - action #14790: setup openQA Resolved 2016-11-14 2016-11-23
Copied to openSUSE Leap 15.1 - action #37105: setup openQA Resolved 2018-05-27 2018-06-29
History

#1 - 2017-09-07 12:19 - Inussel
- Copied from action #14790: setup openQA added

#2 - 2017-10-06 15:46 - Inussel

- Description updated

- Due date changed from 2017-08-09 to 2017-10-13
- Category changed from Release Engineering to QA

- Assignee set to okurz

#3 - 2017-10-10 11:38 - Inussel

OBS side is currently blocked due to https:/github.com/openSUSE/open-build-service/issues/3973
Nevertheless the job group can be created already IMO.

#4 - 2017-10-10 11:38 - Inussel

We could manually sync from the main project for testing

#5 - 2017-10-10 14:56 - okurz

- Status changed from New to Feedback

dump_templates —-host https://openga.opensuse.org ——-full > o3_backup_$ (date +%F) .templates

dump_templates --host https://openga.opensuse.org —-group "openSUSE Leap 42.3" --full > leap_42.3
dump_templates --host https://openga.opensuse.org —-—group "openSUSE Leap Staging Projects" --full > leap_stagi
ng

dump_templates --host https://openga.opensuse.org —--group "openSUSE Leap 42.3 PowerPC" --full > leap_42.3_ppc
dump_templates --host https://openga.opensuse.org —-—-group "openSUSE Leap 42.3 AArch64" --full > leap_42.3_aarc
h64

sed 's/42\.3/15.0/g' leap_42.3_ppc > leap_staging

sed 's/42\.3/15.0/g' leap_42.3_ppc > leap_15.0

sed 's/42\.3/15.0/g' leap_42.3_ppc > leap_15.0_ppc

sed 's/42\.3/15.0/g' leap_42.3_aarch64 > leap_15.0_aarcho64

for i in staging 15.0 15.0_ppc 15.0_aarch64 ; do load_templates --host https://openga.opensuse.org leap_$i ; d
one

e All job groups created

e Description of job groups updated manually

e Added new test suite "update_Leap_42.3_cryptivm"

¢ Added (update|zdup)Leap_42.3(gnomel|kde|cryptlvm) to schedule

| updated the existing staging job group instead of creating a new one as the build numbers should increase from there and openQA supports
multi-version job groups. But the switch from 42->15 might be still a problem.

#6 - 2017-10-10 19:49 - okurz

Triggered once manually:

$ openga-client isos post ARCH=x86_64 BUILD=22.4 DISTRI=opensuse FLAVOR=DVD VERSION=15.0 ISO=openSUSE-Leap-15.
0-DVD-x86_64-Build22.4-Media.iso MIRROR_HTTP=http://openga.opensuse.org/assets/repo/openSUSE-15.0-0ss-1586-x86
_64-Snapshot22.4 REPO_0=0penSUSE-15.0-0s5-1586-x86_64-Snapshot22.4 REPO_O_DEBUGINFO=0penSUSE-15.0-0ss5-1586-x86
_64-Snapshot22.4-debuginfo SUSEMIRROR=http://openga.opensuse.org/assets/repo/openSUSE-15.0-0ss-1586-x86_64—-Sna
pshot22.4
{
count => 145,
failed => [
{
error_messages => [
"START_AFTER_TEST=yast2_ui:64bit not found - check for typos and dependency cycles",
]I
job_id => 502466,
}I
]I
ids => [502418 .. 502465, 502467 .. 502563],
}
$ openga-client isos post ARCH=x86_64 BUILD=22.4 DISTRI=opensuse FLAVOR=NET VERSION=15.0 ISO=openSUSE-Leap-15.
0-DVD-x86_64-Build22.4-Media.iso MIRROR_HTTP=http://openga.opensuse.org/assets/repo/openSUSE-15.0-0ss-1586-%x86
_64-Snapshot22.4 REPO_0=o0penSUSE-15.0-0ss-1586-x86_64-Snapshot22.4 REPO_O0_DEBUGINFO=0penSUSE-15.0-0ss-1586-x86
_64-Snapshot22.4-debuginfo SUSEMIRROR=http://openga.opensuse.org/assets/repo/openSUSE-15.0-0ss-1586-x86_64-Sna
pshot22.4
{ count => 43, failed => [], ids => [502564 .. 502606] }

as well as for staging:

openga-client isos post ARCH=x86_64 BUILD=3.2 DISTRI=opensuse FLAVOR=Staging-DVD VERSION=15.0:S:A ISO=openSUSE
—-Leap:15.0-Staging:A-Staging-DVD-x86_64-Build3.2-Media.iso
openga-client isos post ARCH=x86_64 BUILD=3.2 DISTRI=opensuse FLAVOR=Staging2-DVD VERSION=15.0:S:A ISO=openSUS
E-Leap:15.0-Staging:A-Staging-DVD-x86_64-Build3.2-Media.iso

All staging tests failed with https:/bugzilla.suse.com/show_bug.cgi?id=1062619
and all build validation tests failed as incomplete missing the medium, probably because rsync.pl itself fails with:

reposync rsync://openga@obs-backend.publish.opensuse.org/opensuse—-internal/build//openSUSE:Leap:15.0/images/lo
cal/*product :openSUSE-ftp-ftp-x86_64/openSUSE-*-Medial/

-> openSUSE-15.0-0ss-1586-x86_64-Snapshot22.4
rsync: link_stat "/build/openSUSE:Leap:15.0/images/local/000product:openSUSE-ftp-ftp-x86_64/0penSUSE-15.0-x86_
64-Build22.4-Medial/media.l/build" (in opensuse-internal) failed: No such file or directory (2)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1652) [Receiver=3
.1.0]
rsync failed at ./rsync.pl line 488.
reposync rsync://openga@Robs-backend.publish.opensuse.org/opensuse-internal/build//openSUSE:Leap:15.0/images/lo
cal/*product:openSUSE-ftp-ftp-x86_64/openSUSE-*-Media2/

—> openSUSE-15.0-0ss5-1586-x86_64-Snapshot22.4-debuginfo
rsync: link_stat "/build/openSUSE:Leap:15.0/images/local/000product:openSUSE-ftp-ftp-x86_64/0penSUSE-15.0-x86_
64-Build22.4-Media2/media.1l/build" (in opensuse-internal) failed: No such file or directory (2)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1652) [Receiver=3
N0}
rsync failed at ./rsync.pl line 488.

#7 - 2017-10-12 08:38 - okurz

[12 Oct 2017 10:31:16}<Inussel> okurz: leap 15 was scheduled as tumbleweed:
https://openga.opensuse.org/tests/overview ?build=25.1&distri=opensuse&version=15.0&groupid=1

[12 Oct 2017 10:32:04}<Inussel> okurz: https:/openga.opensuse.org/admin/products has 15 instead of 15.0
[12 Oct 2017 10:33:09}" Inussel fixes it

[12 Oct 2017 10:33:37}<0okurz> ok

[12 Oct 2017 10:34:30}<Inussel> okurz: I've deleted the iso so it gets resynced

[12 Oct 2017 10:34:33}<okurz> Inussel: does this happen because the tw medium is the "catch all" one?
[12 Oct 2017 10:34:34}<Inussel> needed BETA=1 too
[12 Oct 2017 10:34:39}<Inussel> okurz: yes
[12 Oct 2017 10:34:45}<okurz> | see

#8 - 2017-10-12 08:57 - Inussel

- Description updated

- Status changed from Feedback to Closed
- % Done changed from 0 to 100

done

#9 - 2017-10-17 16:44 - Inussel

Oliver, you can sync from :ToTest now

#10 - 2017-10-17 22:26 - okurz

https://gitlab.suse.de/openqga/scripts/merge_requests/148

#12 - 2018-06-12 08:33 - Inussel
- Copied to action #37105: setup openQA added
